#ifndef MAIN_HPP
#define MAIN_HPP

#include "USpeedGameEngine.hpp"

#ifdef TARGET_SYSTEM_PSP
#endif

#ifdef TARGET_SYSTEM_WIN32
	//#include <windows.h>
#endif

#include <stdlib.h>
#include <stdio.h>
#include <math.h>
#include <string>
#include <algorithm>


// Les prototypes de fonctions
void myInit();
void myMain(unsigned long int elapsedTime);
void myFinish();
int luaPrint(void *state);
void processCamera();
void processModel();

#endif
